Qt 5.11 | Qt WebEngine | QtWebEngine Namespace

Qt 5.11.3 Reference Documentation

# QtWebEngine Namespace

Helper functions for the Qt WebEngine (Qt Quick) module. More...

Header: | #include <QtWebEngine>

## Functions

void | initialize()

## Detailed Description

Helper functions for the Qt WebEngine (Qt Quick) module.

The QtWebEngine namespace is part of the Qt WebEngine module.

## Function Documentation

### void QtWebEngine::initialize()

Sets up an OpenGL Context that can be shared between threads. This has to be done after QGuiApplication is created, but before a Qt Quick window is created.

This has the same effect as setting the Qt::AA_ShareOpenGLContexts attribute with QCoreApplication::setAttribute before constructing QGuiApplication.